<?php
/*
 * Created on Sep 12, 2006
 *
 * This file contains global settings for the web site.
 * 
 */
 
// Make sure our global CFG object is clear
unset($CFG);

/**
 * Database settings.  Adjust as needed.
 */
$CFG->dsn = "mysql:host=localhost;dbname=music";
$CFG->db_user = "root";
$CFG->db_pass = "";
$CFG->db_persistent = false;

/**
 * Define the full path to our directory.
 */
$CFG->dirroot = dirname(__FILE__);

/**
 * Define the URI to our webpage.  (We should try to determine this automatically.)
 */
$CFG->wwwroot = "http://smaug/php/MyTunes";

/**
 *  Debug setting (see php.ini for possible values)
 */
// $CFG->debug = 0;
$CFG->debug = E_ALL;

/**
 *  SMTP/E-mail settings
 */
$CFG->smtp_server = "localhost";
$CFG->email_from = "webmaster@bamafolks.com";
$CFG->email_admin = "admin@bamafolks.com";

/**
 * You can define an AUTOLOAD_PATH here for custom libraries.
 * 
 * $AUTOLOAD_PATH = "path1" . PATH_SEPARATOR . "path2";
 */
$AUTOLOAD_PATH = "$CFG->dirroot/Forms";

////////////////////////////////////////////////////////////////
// NOTE: You should not have to change anything below this line.
////////////////////////////////////////////////////////////////

/**
 * Define a common include path.
 */
$CFG->includedir = "$CFG->dirroot/include";

/**
 * Include the support code found in include/common.php.
 */
if (file_exists("$CFG->includedir/common.php")) {
	include_once "$CFG->includedir/common.php";
} else {
	echo "<p><font color=\"red\">Could not find the file: $CFG->includedir/common.php</font></p>";
	echo "<p><font color=\"red\">Please check your directories and/or file permissions.</font></p>";
}

if (!isset($CFG->wwwroot)) {
	echo "<p><font color=\"red\">Error detected in config.php</font></p>";
	echo "The \$CFG->wwwroot setting is missing.<br/>";
	die;
}

// NOTE: It is important that there are no spaces
//       or empty lines following the closing tag
?>