<?php
/*
 * Project: MyTunes
 * File: ConfirmDeleteForm.php
 * Created on Nov 17, 2006
 * Created by Randy
 */

class ConfirmDeleteForm extends Form
{
	public function __construct($title = "Confirm Delete", $msg = "Are you sure?", $id = "")
	{
		parent::__construct(
			$title,
			"ConfirmDeleteForm",
			full_me(),
			array(
				new Label("confirmLabel", $msg),
				new HiddenField("id", $id)
			),
			array(
				new Button("btnYes", "Yes"),
				new Button("btnNo", "No")
			)
		);
	}

	public function process()
	{
		return isset($_POST["btnYes"]);
	}
}  

?>
