<?php
/**
 * Defines the RequiredValidator class.
 * 
 * @package FormLib
 */
  
/**
 * A simple validator that requires the user to enter a value.
 * 
 * @package FormLib
 * @version 0.2
 * @author Randy
 */

class RequiredValidator extends Validator
{
	public function isValid(&$field)
	{
		return strlen($field->value) > 0;
	}
	
	public function errorMessage($field)
	{
		return "$field->label is required";
	}
}

?>
