<?php

require_once "config.php";

$referer = get_referer(true);
if (empty($referer))
	$referer = $CFG->wwwroot;

if (!isset($_GET['song_id']))
	redirect($referer, "Error: Invalid request!", 3, "red");

$song_id = $_GET['song_id'];

$song = get_record('song', array('song_id' => $song_id));

if (!$song)
	redirect($referer, "Database Error: Cannot find song!", 3, "red");

$filename = str_replace("/bigmusic", "//shadowfax", $song->filename);
$filename = str_replace("/", "\\", $filename);

if (!file_exists($filename))
	redirect($referer, "Internal Error: File does not exists!", 3, "red");
	
if (!($handle = fopen($filename, "rb")))
	redirect($referer, "Error: Failed to open song", 3);

$artist = get_record("artist", array("artist_id" => $song->artist_id));
$album = get_record("album", array("album_id" => $song->album_id));


$send_filename = ($artist ? $artist->artist : "") . "-" .
				($album ? $album->album : "") . "-" .
				$song->song . ".mp3";
$send_filename = s($send_filename);


header('Content-Disposition: filename="' . $send_filename . '"');
header('Content-type: audio/mp3');

fpassthru($handle);

?>
