<?php
/*
 * Project: MyTunes
 * File: editplaylist.php
 * Created on Nov 18, 2006
 * Created by Randy
 */

require_once("config.php");
require_login();

$redirect = "$CFG->wwwroot/playlists.php";

if (isset($_GET['action'])) {
	if ($_GET['action'] == "remove") {
		if (!isset($_GET['itemid']))
			redirect($redirect, "Invalid Request", 2, "red");
		$playlist_item = get_record("playlist_item", array("id" => $_GET['id']));
		if (!$playlist_item)
			redirect($redirect, "Error: Cannot location playlist item with id '".$_GET['id']."'.", 2, "red");
		
		$listid = $playlist_item->playlist_id;
		$playlist = get_record("playlist", array("id" => $listid));
		if (!$playlist || $playlist->userid != $USER->id)
			redirect($redirect, "Error: Invalid playlist.", 2, "red");
		$redirect = "$CFG->wwwroot/editplaylist.php?id=$listid";
		if (!delete_records("playlist_item", array("id" => $_GET['id'])))
			redirect($redirect, "A database error occurred.", 5, "red");
		else
			echo "<p align=\"center\"><font color=\"green\" size=\"+1\">Successfully removed song from playlist.</font></p>";
	} else {
		redirect($redirect, "Invalid Request", 2, "red");
	}
}

$form = Form::load();
if ($form) {
	$listid = $form->getField("id")->value;
	$redirect = "$CFG->wwwroot/editplaylist.php?id=$id";
	if (!$form->process())
		redirect($redirect, "An error occurred.", 2, "red");
	else
		echo "<p align=\"center\"><font color=\"green\" size=\"+1\">Playlist successfully renamed.</font></p>";
} else {
	if (!isset($_GET['id']))
		redirect($redirect, "Invalid Request", 2, "red");
	else
		$listid = $_GET['id'];
}

$redirect = "$CFG->wwwroot/playlists.php";

if (!isset($playlist)) {
	$playlist = get_record("playlist", array("id" => $listid));
	if (!$playlist)
		redirect($redirect, "Error looking up playlist.", 2, "red");
}

?>
