<?php
/**
 * Defines the CheckboxField class.
 * 
 * Created on Nov 7, 2006
 * Created by Randy L. Pearson
 *
 * @package FormLib
 * @version 0.1
 */
  
/**
 * Your basic checkbox HTML widget.
 * 
 * @package FormLib
 * @author Randy
 */

class CheckboxField extends Field
{
	public function __construct($name, $label, $value = 0, $properties = null, $style = false)
	{
		parent::__construct($name, $label, $value, $properties, $style);
	}
	
	protected function displayField($style)
	{
		echo "<input type=\"checkbox\" name=\"$this->name\" value=\"1\"";
		if($this->value)
			echo " CHECKED ";
		echo "/>";
	}
}

?>
